/**
 * CRFalign: A CRF-based sentence aligner for parallel corpora.
 * 
 * Copyright (C) 2012  Eva Mujdricza-Maydt
 * Copyright (C) 2012  Huiqin Körkel-Qu
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 * 
 * Developers:
 * - Eva Mujdricza-Maydt (mujdricz@cl.uni-heidelberg.de)
 * - Huiqin Körkel-Qu (huiqin@cl.uni-heidelberg.de)
 */

package annotators.champollion;

/** Often used variables and constants for Champollion.
 *
 * @author Eva Mujdricza-Maydt
 * @lastChange 20120626
 */
public class Constants_Champollion {
	
	/**
	 * The Champollion model for German-English data.
	 */
	static final String MODEL_CHAMPOLLION_DEEN = "champollion.GE";
	
	/** Separator characters between the source and target side of an alignment
	 * of Champollion-style alignments. */
	public static final String SEPARATOR_champollion_btwSrcTrg = " <=> ";
	
	/** Separator character between sentence numbers in an alignment of 
	 * Champollion-style alignments. */
	public static final String SEPARATOR_champollion_btwNrs = ",";
	
	/** "omitted" means in Champollion-style alignments zero-alignment. */
	public static final String OMITTED = "omitted";
	
}
