/**
 * CRFalign: A CRF-based sentence aligner for parallel corpora.
 * 
 * Copyright (C) 2012  Eva Mujdricza-Maydt
 * Copyright (C) 2012  Huiqin Körkel-Qu
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 * 
 * Developers:
 * - Eva Mujdricza-Maydt (mujdricz@cl.uni-heidelberg.de)
 * - Huiqin Körkel-Qu (huiqin@cl.uni-heidelberg.de)
 */

package annotators.hunalign;

/** Often used variables and constants for Hunalign.
 *
 * @author Eva Mujdricza-Maydt
 * @lastChange 20120626
 */
public class Constants_Hunalign {
	
	/**
	 * Separator between two entries in one line.
	 * Format: source-sentence-nr \t target-sentence-nr \t property
	 * <br/>NOTE that we only need the first two colums.
	 */
	public static final String SEPARATOR_HUNALIGN_ALIGNMENT = "\t";
}
