/**
 * CRFalign: A CRF-based sentence aligner for parallel corpora.
 * 
 * Copyright (C) 2012  Eva Mujdricza-Maydt
 * Copyright (C) 2012  Huiqin Körkel-Qu
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 * 
 * Developers:
 * - Eva Mujdricza-Maydt (mujdricz@cl.uni-heidelberg.de)
 * - Huiqin Körkel-Qu (huiqin@cl.uni-heidelberg.de)
 */

package corpora.gutenberg;

import java.util.regex.Pattern;

/** Often used variables and constants for Gutenberg corpus.
 *
 * @author Eva Mujdricza-Maydt
 * @lastChange 20120626
 */
public class Constants_Gutenberg {

	/** extension for the original Gargantua alignments for Gutenberg data */
	static String EXT_ALIGNMENTFILE_GUTENBERG = "_alignInfo.txt";
	
	/** pattern for matching an sentence alignment line in the Gargantua output.
	 * e.g. {@literal <s>de:4 en:2</s>} */
	public static Pattern PATTERN_ALIGNMENTS = Pattern.compile(
			"^<s>"+ main.Constants_Main.LANG_SRC +":([0-9]+) " + main.Constants_Main.LANG_TRG + ":([0-9]+)</s>$");
	
}
