/**
 * CRFalign: A CRF-based sentence aligner for parallel corpora.
 *
 * Copyright (C) 2012 Eva Mujdricza-Maydt Copyright (C) 2012 Huiqin Körkel-Qu
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * Developers: - Eva Mujdricza-Maydt (mujdricz@cl.uni-heidelberg.de) - Huiqin
 * Körkel-Qu (huiqin@cl.uni-heidelberg.de)
 */
package diceMatrix;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.IOException;

/**
 *
 * @author Huiqin Körkel-Qu
 */
public class diceTFValues {

	public static void main(String[] args) throws IOException {
		diceTFValues.get();
	}

	public static void get() throws NumberFormatException, IOException {

		String path = "/home/students/huiqin/gutenberg/forDice/dice";

		double allT = 0.0;
		double allF = 0.0;
		int tNum = 0;
		int fNum = 0;

		File diceDir = new File(path);
		File[] diceFiles = diceDir.listFiles();
		for (File diceFile : diceFiles) {
//			System.out.println(diceFile.getAbsolutePath());
			BufferedReader Br = new BufferedReader(new FileReader(diceFile));
			String currentLine;
			while (null != (currentLine = Br.readLine())) {
				if (currentLine.split("\\s+").length != 3) {
					continue;
				}

				if ("T".equals(currentLine.split("\\s+")[2])) {
					tNum += 1;
					allT += Double.parseDouble(currentLine.split("\\s+")[0]);
				} else {
					fNum += 1;
					allF += Double.parseDouble(currentLine.split("\\s+")[0]);
				}
			}
		}

		System.out.println("the average dice value for F is " + allF / fNum);
		System.out.println("the average dice value for T is " + allT / tNum);
	}
}
