/**
 * CRFalign: A CRF-based sentence aligner for parallel corpora.
 *
 * Copyright (C) 2012 Eva Mujdricza-Maydt Copyright (C) 2012 Huiqin Körkel-Qu
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * Developers: - Eva Mujdricza-Maydt (mujdricz@cl.uni-heidelberg.de) - Huiqin
 * Körkel-Qu (huiqin@cl.uni-heidelberg.de)
 */
package diceMatrix;

/**
 * the constant that used to get the dice features.
 *
 * @author Huiqin Körkel-Qu
 */
public final class myConst {

	public static int maxSM = 5000;
	public static int maxTM = 5000;
	public static int fastSourceWordsNum = 40000;
	public static int fastTargetWordsNum = 40000;
	//if a source appear i time, target appears morethan maxDiff*i times, don't consider this word pair.
	//except for  wordpair whose source and target are both often words
	public static final int maxDiff = 20;
	public static String rarePath = "";
	public static final int maxOftenCommenDiff = 10;
	//to balance the training data with T and F label, 
	//only no more than 15 continues F will be taken into training
	public static final int maxFNumInSeq = 15;
	// not be used anymore should be remove
	public static int rareFileNum = 100;
	public final static int featureNum = 27;
	public static final String extensionForDice = main.Constants_Main.EXT_TEXT_LEMMATA; //E
	public static final String extensionForFeature = annotators.treetagger.Constants_TreeTagger.EXT_TREETAGGER_OUTPUT_XML; //E
	public static String extensionForAlign = "";
	public final static String helpFilesPath = main.Constants_Main.FOLDER_LIB; //E
}
