/**
 * CRFalign: A CRF-based sentence aligner for parallel corpora.
 *
 * Copyright (C) 2012 Eva Mujdricza-Maydt Copyright (C) 2012 Huiqin Körkel-Qu
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * Developers: - Eva Mujdricza-Maydt (mujdricz@cl.uni-heidelberg.de) - Huiqin
 * Körkel-Qu (huiqin@cl.uni-heidelberg.de)
 */
package general.orderAlign;

import java.util.ArrayList;
import java.util.HashMap;

/**
 *
 * @author Huiqin Körkel-Qu
 */
public class removeMulti {

	public static void remove(ArrayList<String> input) {
		HashMap<Integer, Integer> alignedSource = new HashMap<Integer, Integer>();
		HashMap<Integer, Integer> alignedTarget = new HashMap<Integer, Integer>();
		ArrayList<String> returnAlign = new ArrayList<String>();
		for (String align : input) {
			String source = align.split(";")[0];
			String target = "";
			int[] currentSourceIds = null;
			int[] currentTargetIds = null;
			if (align.split(";").length > 1) {
				target = align.split(";")[1];
			}
			if (!source.equals("")) {
				String[] sourceIds = source.split("\\s+");
				currentSourceIds = new int[sourceIds.length];
				for (int i = 0; i < sourceIds.length; i++) {
					currentSourceIds[i] = Integer.parseInt(sourceIds[i]);
				}
			}
			if (!target.equals("")) {
				String[] targetIds = target.split("\\s+");
				currentTargetIds = new int[targetIds.length];
				for (int i = 0; i < targetIds.length; i++) {
					currentTargetIds[i] = Integer.parseInt(targetIds[i]);
				}
			}

			boolean aligned = false;
			if (null != currentSourceIds) {
				for (int sourceId : currentSourceIds) {
					if (null != alignedSource.get(sourceId)) {
						aligned = true;
						break;
					}
				}
			}
			if (null != currentTargetIds) {
				for (int targetId : currentTargetIds) {
					if (null != alignedTarget.get(targetId)) {
						aligned = true;
						break;
					}
				}
			}

			if (!aligned) {
				returnAlign.add(align);
			}

			if (null != currentSourceIds) {
				for (int sourceId : currentSourceIds) {
					if (null != alignedSource.get(sourceId)) {
						alignedSource.put(sourceId, 1);
					}
				}
			}
			if (null != currentTargetIds) {
				for (int targetId : currentTargetIds) {
					if (null != alignedTarget.get(targetId)) {
						alignedTarget.put(targetId, 1);
					}
				}
			}
		}

		input.clear();
		for (int i = 0; i < returnAlign.size(); i++) {
			input.add(returnAlign.get(i));
		}
	}
}
